function zdata = readZdata(fname);
%fname = 'BEM\expo_Z_data.txt';
fid=fopen(fname, 'rt');   %open the file
title = fgetl(fid);  %read in the header
[nf]=fscanf(fid, '%d',1);   %read in the number of entries
s = fscanf(fid, '%e' ,[3,nf]);
Z = s(2,:)' + 1i*s(3,:)';
zdata = struct('title',title,'nfreq',nf,'fvec',s(1,:)','Z',Z);
fclose(fid);   %close the file