function BZ = disprelation(v,x,rho)
if (abs(imag(v)) < 1e-12*real(v)) | (imag(v) == 0)
    BZ = dbesselj(v,x).*dbessely(v,rho*x) - dbesselj(v,rho*x).*dbessely(v,x);
else
    BZ = dbesselj(v,x).*dbesselj(-v,rho*x) - dbesselj(v,rho*x).*dbesselj(-v,x); 
end;
    
