clc;
clear all;
Sth = 10e-4;
Sm = 1200e-4;
L = 30e-2;
Tn = 0.5;
dz = 0.0001;
hType = 99; 
c = 344;
fc = 400;
kc = 2*pi*fc/c;
%  Sm = -kc;

%  dbstop at 217 in MPM_AShorncoord
% dbstop at 149 in MPM_AShorncoord
  
duct = MPM_AShorncoord(hType, Sth, Sm, L, Tn, dz, false, 0, 0.1, 90,0.3,0.7);
% maxs = max(duct(:,2))^2*pi;
% 
% e = length(duct)
% fta1 = 180/pi*atan((duct(end,2)-duct(end-1,2))/(duct(end,1)-duct(end-1,1)))
% duct2 = MPM_AZhorncoord(7, maxs, 0, L, Tn, dz, false, fta1, 0.1, 90);
% duct2(:,1) = duct2(:,1)+max(duct(:,1));
% duct = [duct ; duct2];

%duct(:,1) = duct(:,1)+0.05;
% 
% duct = [0 0.03;
%     0.05 0.03;
%     duct];
% 
% newdz = dz/10;
% 
% %duct = MPM_refinecoords(duct, newdz);
% 
coords = duct;

horncoords = MPM_makesteps(duct);
horncoords = MPM_refinecoords(horncoords, dz/5);

 % horncoords = MPM_makesteps(duct);
 

%newcoords = MPM_AZhorncoord(hType, Sth, Sm, L, Tn, dz/100);
%newcoords(:,1) = newcoords(:,1)+0.05;

figure(1);
plot(duct(:,1),duct(:,2), horncoords(:,1), horncoords(:,2),'-');%, newcoords(:,1), newcoords(:,2));
ylim([0,max(duct(:,2)*1.1)]);
xlabel('z axis [m]');
ylabel('Radius [m]');
title('Duct profile');
